Bug 147274 - sleeping function called from invalid context (snd)
sleeping function called from invalid context (snd)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-05 19:16 EST by Tom London
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 04:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2005-02-05 19:16:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Sound doesn't work, and get this when testing sound settings in gaim.

Feb  5 16:04:22 localhost kernel: Debug: sleeping function called from
invalid context at include/asm/semaphore.h:107
Feb  5 16:04:22 localhost kernel: in_atomic():0, irqs_disabled():1
Feb  5 16:04:22 localhost kernel:  [<c01188ed>] __might_sleep+0x8a/0x94
Feb  5 16:04:22 localhost kernel:  [<f8935284>]
snd_ac97_update_bits+0x2e/0x5a [snd_ac97_codec]
Feb  5 16:04:22 localhost kernel:  [<f8977885>]
snd_intel8x0m_pcm_trigger+0x36/0x4a [snd_intel8x0m]
Feb  5 16:04:22 localhost kernel:  [<f894d0e3>]
snd_pcm_do_start+0x16/0x1c [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f894cc03>]
snd_pcm_action_single+0x1d/0x40 [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f894cd36>]
snd_pcm_action+0x110/0x118 [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f8954355>]
snd_pcm_lib_write1+0x4a3/0x55c [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f8967ec2>]
resample_shrink+0x231/0x332 [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<f8967de6>]
resample_shrink+0x155/0x332 [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<f895448b>]
snd_pcm_lib_write+0x7d/0x88 [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f8953e3d>]
snd_pcm_lib_write_transfer+0x0/0x75 [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f8961ce0>]
snd_pcm_oss_write3+0x59/0x9f [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<f8965b6a>]
snd_pcm_plug_write_transfer+0x97/0xbc [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<f8961fb6>]
snd_pcm_oss_write2+0x7c/0xbf [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<f89503e7>]
snd_pcm_kernel_playback_ioctl+0x18/0x1e [snd_pcm]
Feb  5 16:04:22 localhost kernel:  [<f8962159>]
snd_pcm_oss_write1+0x160/0x1af [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<f896402d>]
snd_pcm_oss_write+0x30/0x59 [snd_pcm_oss]
Feb  5 16:04:22 localhost kernel:  [<c015ff50>] vfs_write+0xa0/0xfd
Feb  5 16:04:22 localhost kernel:  [<c016004b>] sys_write+0x3c/0x62
Feb  5 16:04:22 localhost kernel:  [<c0103383>] syscall_call+0x7/0xb
Feb  5 16:04:22 localhost kernel: codec_semaphore: semaphore is not
ready [0x1][0x701300]
Feb  5 16:04:22 localhost kernel: codec_write 1: semaphore is not
ready for register 0x54
Feb  5 16:04:22 localhost kernel: codec_semaphore: semaphore is not
ready [0x1][0x700304]
Feb  5 16:04:22 localhost kernel: codec_write 1: semaphore is not
ready for register 0x54


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.1125_FC4

How reproducible:
Didn't try

Steps to Reproduce:
1. boot, sound doesn't work.
2. try each sound setting in gaim.
3.  check log
    

Additional info:

Note You need to log in before you can comment on or make changes to this bug.